Bug 1783010 - Unable to boot RHCOS instances using libvirtd on s390x
Summary: Unable to boot RHCOS instances using libvirtd on s390x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.0
Assignee: Alex Crawford
QA Contact: Jeremy Poulin
URL:
Whiteboard:
Depends On: 1783004
Blocks: 1783013
TreeView+ depends on / blocked
 
Reported: 2019-12-12 19:40 UTC by Alex Crawford
Modified: 2020-01-23 11:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1783004
: 1783013 (view as bug list)
Environment:
Last Closed: 2020-01-23 11:18:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-api-provider-libvirt pull 184 None closed Bug 1783010: Replace guestfish with config drive on s390x platform 2020-04-17 07:59:32 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:19:14 UTC

Description Alex Crawford 2019-12-12 19:40:26 UTC
+++ This bug was initially created as a clone of Bug #1783004 +++

s390x doesn't support the QEMU firmware config device that we use to pass Ignition configs through to RHCOS guests. As a fallback, libguestfish was used to modify the root disk to directly inject the Ignition config. This doesn't work on remote machines though(as is always the case with libvirt and the cluster API provider), so the new approach is to use the RHCOS images built for OpenStack and to pass the Ignition config through the config-drive mechanism instead.

Comment 1 Jeremy Poulin 2019-12-12 20:19:01 UTC
Verified by Xin Ke Wang <wgxinke@cn.ibm.com> from the IBM Z team.

Moving to Verified.

Comment 3 errata-xmlrpc 2020-01-23 11:18:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.